/*
 * 10/21/2005
 *
 * DockableWindowConstants.java - Constants pertinent to the dockable windows
 * package.
 * Copyright (C) 2005 Robert Futrell
 * robert_futrell at users.sourceforge.net
 * http://fifesoft.com
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package org.fife.ui.dockablewindows;


/**
 * Interface defining constants pertinent to dockable windows.
 *
 * @author Robert Futrell
 * @version 1.0
 */
public interface DockableWindowConstants {

	/**
	 * Integer constant representing the top of the window.
	 */
	public static final int TOP		= 0;

	/**
	 * Integer constant representing the left of the window.
	 */
	public static final int LEFT		= 1;

	/**
	 * Integer constant representing the bottom of the window.
	 */
	public static final int BOTTOM	= 2;

	/**
	 * Integer constant representing the right of the window.
	 */
	public static final int RIGHT		= 3;

	/**
	 * Integer constant representing a floating window.
	 */
	public static final int FLOATING	= 4;

}